#!/usr/bin/env python

"""
Webware plug-in code.
"""

__version__ = "0.1"

from WebStack.Adapters.Webware import WebStackServletFactory
from SimpleApplication import SimpleResource

# NOTE: Initialising a shared resource.

resource = SimpleResource()

def InstallInWebKit(appServer):
    global resource
    app = appServer.application()

    # NOTE: Allow .py files only. Really, we'd like any kind of file, but that
    # NOTE: would severely undermine the servlet factory concept.

    app.addServletFactory(WebStackServletFactory(app, resource, [".simple"]))
